# General

2 operations on the Logion v1 API.

- [Health](#health) — `GET /health`
- [List enrolled runner identities (no key hashes).](#list-enrolled-runner-identities-no-key-hashes) — `GET /v1/runners`

## Health

```http
GET /health
```

Operation id: `health_health_get`

**Responses**

| Status | Meaning | Schema |
| --- | --- | --- |
| `200` | Successful Response | — |

Returns `object`.

**From the CLI**

- [`logion health`](/docs/cli/health#logion-health)

## List enrolled runner identities (no key hashes).

```http
GET /v1/runners
```

Operation id: `list_runners`

Takes an [`Authorization`](/docs/api/overview#authentication) header.

**Responses**

| Status | Meaning | Schema |
| --- | --- | --- |
| `200` | Successful Response | `ListRunnersResponse` |
| `422` | Validation Error | `HTTPValidationError` |

Returns `ListRunnersResponse`:

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `items` | ListRunnersItemResponse[] | yes |  |
